thefaqapp
API Reference

Domains

Manage custom domains

Manage custom domains

List domains

GET
/api/v1/{organizationSlug}/domains

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Get your key from the dashboard under Settings > API Keys.

In: header

Path Parameters

organizationSlug*string

Response Body

application/json

curl -X GET "https://app.thefaq.app/api/v1/string/domains"
{
  "data": [
    {
      "id": "string",
      "domain": "string",
      "status": "pending",
      "verifiedAt": "2019-08-24T14:15:22Z",
      "createdAt": "2019-08-24T14:15:22Z"
    }
  ]
}
Empty

Add a custom domain

POST
/api/v1/{organizationSlug}/domains

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Get your key from the dashboard under Settings > API Keys.

In: header

Path Parameters

organizationSlug*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://app.thefaq.app/api/v1/string/domains" \  -H "Content-Type: application/json" \  -d '{    "domain": "faq.example.com"  }'
{
  "data": {
    "domain": {
      "id": "string",
      "domain": "string",
      "status": "string"
    },
    "verification": {
      "type": "string",
      "domain": "string",
      "value": "string"
    }
  }
}
Empty
Empty
Empty
Empty

Get domain detail

GET
/api/v1/{organizationSlug}/domains/{id}

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Get your key from the dashboard under Settings > API Keys.

In: header

Path Parameters

organizationSlug*string
id*string

Domain ID

Response Body

application/json

curl -X GET "https://app.thefaq.app/api/v1/string/domains/string"
{
  "data": {
    "id": "string",
    "domain": "string",
    "status": "string",
    "verifiedAt": "2019-08-24T14:15:22Z"
  }
}
Empty
Empty

Remove a domain

DELETE
/api/v1/{organizationSlug}/domains/{id}

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Get your key from the dashboard under Settings > API Keys.

In: header

Path Parameters

organizationSlug*string
id*string

Response Body

application/json

curl -X DELETE "https://app.thefaq.app/api/v1/string/domains/string"
{
  "data": {
    "id": "string",
    "deleted": true
  }
}
Empty
Empty

Verify domain DNS

POST
/api/v1/{organizationSlug}/domains/{id}/verify

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Get your key from the dashboard under Settings > API Keys.

In: header

Path Parameters

organizationSlug*string
id*string

Response Body

application/json

curl -X POST "https://app.thefaq.app/api/v1/string/domains/string/verify"
{
  "data": {
    "verified": true,
    "status": "string"
  }
}
Empty
Empty

Check domain health

GET
/api/v1/{organizationSlug}/domains/{id}/health

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Get your key from the dashboard under Settings > API Keys.

In: header

Path Parameters

organizationSlug*string
id*string

Response Body

application/json

curl -X GET "https://app.thefaq.app/api/v1/string/domains/string/health"
{
  "data": {
    "domain": "string",
    "healthy": true,
    "checks": {
      "dns": true,
      "ssl": true,
      "reachable": true
    }
  }
}
Empty
Empty